<html>
<head>
<title>OgrePass.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgrePass.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreLight_8h_source.html">OgreLight.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreUserObjectBindings_8h_source.html">OgreUserObjectBindings.h</a>&quot;</code><br/>
</div>
<p><a href="OgrePass_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a single pass of a <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> (of a <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>), i.e.  <a href="classOgre_1_1Pass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Pass_1_1HashFunc.html">Ogre::Pass::HashFunc</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of a functor for calculating the hashcode of a <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>.  <a href="structOgre_1_1Pass_1_1HashFunc.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IlluminationPass.html">Ogre::IlluminationPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct recording a pass which can be used for a specific illumination stage.  <a href="structOgre_1_1IlluminationPass.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; IlluminationPass * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga4c6928d029248ab4e1a4f999972baee8">Ogre::IlluminationPassList</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga12a2bc4c75c439630241aa279089acb4">Ogre::IlluminationStage</a> { <a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a86c1d44d20dbfd75a533f8e8a35cbb81">Ogre::IS_AMBIENT</a>, 
<a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a1bdd217c49dc61535b75a36207b3e4a0">Ogre::IS_PER_LIGHT</a>, 
<a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a55b9a19dea33fdf42c614c99c136a52e">Ogre::IS_DECAL</a>, 
<a class="el" href="group__Materials.html#gga12a2bc4c75c439630241aa279089acb4a8436700e1ea543e71cc82f08d55e5c98">Ogre::IS_UNKNOWN</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Categorisation of passes for the purpose of additive lighting.  <a href="group__Materials.html#ga12a2bc4c75c439630241aa279089acb4">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
